#!/bin/sh

### VARIABLES THAT NEED TO BE CHANGED FOR YOUR SETUP ###
# Path to where you extracted the EiffelMedia tar file
EM=/home/bayt/workspace/em
export EM

# Path to where you extracted the gobo tar file
GOBO=/home/bayt/workspace/gobo
export GOBO

# Path to where you extracted the ewg tar file
EWG=/home/bayt/workspace/ewg
export EWG

# Path to where you installed EiffelStudio
ISE_EIFFEL=/usr/local/Eiffel56
export ISE_EIFFEL

### VARIABLES THAT NORMALLY DON'T NEED TO BE CHANGED ###
# The compiler you are using - if you are on linux and you are using this scipt
# this should be OK for you, no need to change.
GOBO_CC=gcc
export GOBO_CC

# The Eiffel compiler you are using - em only supports this compiler at the 
# moment, so this should be OK for you, no need to change.
GOBO_EIFFEL=ise
export GOBO_EIFFEL

# Platform you are on - see EiffelStudios installation instructions if you want 
# know what this is
ISE_PLATFORM=linux-x86
export ISE_PLATFORM

# Setting new path
PATH=${EWG}/bin:${GOBO}/bin:${ISE_EIFFEL}/studio/spec/${ISE_PLATFORM}/bin:${PATH}
export PATH
